GNU bug report logs - #59229
[PATCH] Add tree-sitter-based major modes to eglot-server-programs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brian Leung <leungbk@HIDDEN>; Keywords: patch; merged with #59252; dated Sat, 12 Nov 2022 22:36:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 59229 59252. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 59229 <at> debbugs.gnu.org and Brian Leung <leungbk@HIDDEN> Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 59229 <at> debbugs.gnu.org:


Received: (at 59229) by debbugs.gnu.org; 24 Nov 2022 18:44:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 13:44:25 2022
Received: from localhost ([127.0.0.1]:60147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyHCz-0001DV-F9
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 13:44:25 -0500
Received: from mail-ot1-f47.google.com ([209.85.210.47]:35789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oyHCx-0001DD-UK
 for 59229 <at> debbugs.gnu.org; Thu, 24 Nov 2022 13:44:24 -0500
Received: by mail-ot1-f47.google.com with SMTP id
 cn2-20020a056830658200b0066c74617e3dso1396509otb.2
 for <59229 <at> debbugs.gnu.org>; Thu, 24 Nov 2022 10:44:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=WlAgW0SN9NbHexQ5jtbqs81x58QWpUvUx/k1PAV6v9E=;
 b=YbRoC2x79+Lqs3aDP7vgwlGbxJi4RGzJPcCB15YtoYzPoLl6L88qoN+5Ef5XUUDRr0
 /bsB6xmns9m0DBDKnp8UmI0SfH9Rj8ulOZL7nmbC3P3PXE6Sj7sdqzHvw75zngseotpU
 I4L5il6LGhrCRLFPx46nwmXrBi6Akh1fO8zWI8BifAqlFHzib8oLUPdd8UFwHXdCOC+5
 O1SHe1zdstP+U3G9WX33Xe2quGqMjVUE8EppZVg7FFmc1SmEITGxOcynXxfJNu3/YEo7
 qjOA2wqZSzErzHPO9UCwHEg/OnP3hpY2hmYf/c9GPfiBhC4+7rkRNwpTGndB8xEHds6O
 DARw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=WlAgW0SN9NbHexQ5jtbqs81x58QWpUvUx/k1PAV6v9E=;
 b=U6SEvIQ8jHDWOtOcLfYKHsoDXsuxz61bmXorZgzVWpvKO147HKdGWh6Q5zGwY7IRWD
 TAvohn3dm08leITvWbjAVOB5+ZMQyZ/6NHz/nkYvxYuw4hopBQYlRSlX23yKllyH96ot
 FNgG2VzOVdo5ae2Z65l+6ZkmnDGvkrQJbsiba9rWaFFNiYEUPpSAQv1+AW44Y7QY+wkc
 XkhDl/pCmFUvGC+GAucTVoxEXVcfAK5IgHjBb+eOATPzouo5A6c/GyXp1XdLDJQA8phm
 DoKMVZWL+j20NZJWcRYELPPP/Btvn8oklHBKhccY4djU2Sb0qSbE5xcaAhXqqC+M+LUK
 5Ovw==
X-Gm-Message-State: ANoB5plPDDJHZHUNn/HvwUz9gH/BByQ29Nzzr7q10D/bNnRV7ehp38Mq
 dt6OUxjrElP6sddc9ojOctA04kYsl8Os/bmwLBY=
X-Google-Smtp-Source: AA0mqf64akt/dZ65L+QR9N8dfjXOmswcN+tq8nQLRnso4wDrrI/xXku66n+/FfJYsRGMEFeHYZZpzeETduh59rq8cSk=
X-Received: by 2002:a9d:70cc:0:b0:66c:5232:b9d1 with SMTP id
 w12-20020a9d70cc000000b0066c5232b9d1mr7283087otj.224.1669315458386; Thu, 24
 Nov 2022 10:44:18 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 24 Nov 2022 10:44:17 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83cz9rmkoc.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 13 Nov
 2022 08:29:39 +0200")
References: <87y1sfls1x.fsf@HIDDEN> <83cz9rmkoc.fsf@HIDDEN>
X-Hashcash: 1:20:221124:eliz@HIDDEN::Ss3NFgMWEFsH1BZV:1X12
MIME-Version: 1.0
Date: Thu, 24 Nov 2022 10:44:17 -0800
Message-ID: <CADwFkmmtURzh9CpurP=zp8mSA=5cwK66JDzmf0cA0GoSp9SEZg@HIDDEN>
Subject: Re: bug#59229: [PATCH] Add tree-sitter-based major modes to
 eglot-server-programs
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59229
Cc: 59229 <at> debbugs.gnu.org, Brian Leung <leungbk@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

close 59229 29.1
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: Stefan Kangas <stefankangas@HIDDEN>
>> From: Brian Leung <leungbk@HIDDEN>
>> Date: Sat, 12 Nov 2022 22:35:38 +0000
>>
>> This adds several to-be-merged tree-sitter-based major modes to eglot.
>
> Thanks, but please hold your horses on the C/C++/Java modes, as we
> didn't yet finalize their integration into Emacs.  It is possible they
> will not be major modes after all.
>
> Not sure about JSON and CSS modes, but they might share the same fate.
>
> Bottom line: this is too soon for such change, we should wait at least
> until the tree-sitter branch lands on master.

AFAICT, these modes have all landed on master, so I've pushed the patch
and I'm closing the bug.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59229; Package emacs. Full text available.

Message received at 59229 <at> debbugs.gnu.org:


Received: (at 59229) by debbugs.gnu.org; 13 Nov 2022 13:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 08:59:07 2022
Received: from localhost ([127.0.0.1]:50239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouDVp-0004fw-3R
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 08:59:07 -0500
Received: from mail-oa1-f47.google.com ([209.85.160.47]:45941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ouDVk-0004fO-CZ
 for 59229 <at> debbugs.gnu.org; Sun, 13 Nov 2022 08:59:03 -0500
Received: by mail-oa1-f47.google.com with SMTP id
 586e51a60fabf-13be3ef361dso9999749fac.12
 for <59229 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 05:59:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=38LAUXyVpDFOuHAGxqqWrcLAga6H6kVL1Vf//1BQki0=;
 b=jlSt/l/30iH46iWWd9yb6y7ehEFSfnmeT7VY+ldlQKNZbGZNcsDhTF9/yWTbsF1333
 hxwTmq1ph2NiJnrqbYMm9tPE87NWaVFVtBtuwQtwxHMdMT7K23OeUrVztd6jpn3rorTQ
 NeLE8RMrvBeheurXPSp0n10JOqao1qOvyKE7Bz50VPLHZ6OEIEaG1zlbfxO/+Cy/+OwI
 bRpuVpqR0/KANHDzFbSTHeLSvhk8gYCz7TlEs4woaxPj/q5TZlgFUg7IwJg7YY7IBak8
 2eV1PjPskLzYmh52ocPTBU5KGww4GzGqW2eezsZcPvYLariIk7Ifu7nwgfLnVwYW6JDK
 10Kw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=38LAUXyVpDFOuHAGxqqWrcLAga6H6kVL1Vf//1BQki0=;
 b=53N6PT4XRXtH324WjANSgUfD1899WrRH1ubDGfX7yU7ytqX3QxdaW9bHyQjLwSy5bQ
 bV++fLOWP0eDMZoAP7VJRO2TYuJ2aM2z7Rr1ccQ/j13T3fSpSGBa8ZbuX3NqHPWpzERQ
 mg9LB2LUklKiwxLzYVnnwZfR76GJsQFwbCzdojfWuJ0QQd8Hepb+HosxotRgrIdd1kyY
 1Ldf3qo98EhqFgFTR4qPHBrHXCJm7AYvNoJ+Reg1N2WSihaf2DGyXdd1CWLJoyiqlIhb
 cTL6kQvTBOJA5hwjnA4x+0WOSLDbAWKxXLsNOjlmpm0PbeywGjnd5iyXzR3O+t6CXlsr
 u39Q==
X-Gm-Message-State: ANoB5pmKqLY/qcbI155bzTE28yERrsc3fBnWjz+dcIlj9k0InJpDUU0T
 yuz+vx4oIFuHhK+OuwwH0aX5tB+lhddFD8ftUU0=
X-Google-Smtp-Source: AA0mqf4o2ReeEHbVsNitYiCnXBFsTOXAQvCYnfX70oAlZfQZZkyGZ37BJA59RhLkUeJoL1OZlaJRK4B1reDseH1EikU=
X-Received: by 2002:a05:6871:480a:b0:12b:fbe7:b793 with SMTP id
 qc10-20020a056871480a00b0012bfbe7b793mr4741020oab.92.1668347934740; Sun, 13
 Nov 2022 05:58:54 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 13 Nov 2022 05:58:54 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83cz9rmkoc.fsf@HIDDEN>
References: <87y1sfls1x.fsf@HIDDEN> <83cz9rmkoc.fsf@HIDDEN>
X-Hashcash: 1:20:221113:59229 <at> debbugs.gnu.org::UcRVgW4LGl/4OYGC:5fK1
MIME-Version: 1.0
Date: Sun, 13 Nov 2022 05:58:54 -0800
Message-ID: <CADwFkm=2yupFwty4AJ0fJJo8xFEj1LYfTugkA4F+VEvRNF-d9Q@HIDDEN>
Subject: Re: bug#59229: [PATCH] Add tree-sitter-based major modes to
 eglot-server-programs
To: Eli Zaretskii <eliz@HIDDEN>, Brian Leung <leungbk@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59229
Cc: 59229 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: Stefan Kangas <stefankangas@HIDDEN>
>> From: Brian Leung <leungbk@HIDDEN>
>> Date: Sat, 12 Nov 2022 22:35:38 +0000
>>
>> This adds several to-be-merged tree-sitter-based major modes to eglot.
>
> Thanks, but please hold your horses on the C/C++/Java modes, as we
> didn't yet finalize their integration into Emacs.  It is possible they
> will not be major modes after all.
>
> Not sure about JSON and CSS modes, but they might share the same fate.
>
> Bottom line: this is too soon for such change, we should wait at least
> until the tree-sitter branch lands on master.

Agreed.  We can keep this bug open as a reminder to add them once that
branch is merged though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59229; Package emacs. Full text available.

Message received at 59229 <at> debbugs.gnu.org:


Received: (at 59229) by debbugs.gnu.org; 13 Nov 2022 06:29:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 01:29:40 2022
Received: from localhost ([127.0.0.1]:49903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ou6Uu-0005ZS-BW
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 01:29:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ou6Ut-0005ZF-8b
 for 59229 <at> debbugs.gnu.org; Sun, 13 Nov 2022 01:29:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ou6Un-0001pb-0O; Sun, 13 Nov 2022 01:29:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=bRd1cBIFoXg7i7cNqAVyvbaB2ebAVbYjXtTa45eNhNA=; b=e5GDwX/2Gwaw
 Jzwpav7TDhxTovYWRN5imtQ+xCAZHmykHWLUVFrRE2sBgS3uvjvfStelfBDCqJyCPaiq1SLtqH1NW
 7uBK3m+x16FXp0qkUFffOCDlFHkOU1K2Jo01xSEKfVt9O/B21qzfKMpjL8idIr0XAfArcRlWQH3xT
 J2BnUDwe0OidLrQCt5m02w+TbLE6BbzKW7b5XcqLLOt48oGiAICvDZro7O1in3vYpGWLuqUzJAN9k
 Y4AMcEtw5CfSgIdLkMwTRO67MAERKBtYjo7d5fOpt9QApCphuXpSnTEjpPpf9FAr9ZZBLuMjBriG1
 5B+n0htV+hsaJvp8HeS2Rw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ou6Um-0007n3-3n; Sun, 13 Nov 2022 01:29:32 -0500
Date: Sun, 13 Nov 2022 08:29:39 +0200
Message-Id: <83cz9rmkoc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Brian Leung <leungbk@HIDDEN>
In-Reply-To: <87y1sfls1x.fsf@HIDDEN> (message from Brian Leung on Sat, 12
 Nov 2022 22:35:38 +0000)
Subject: Re: bug#59229: [PATCH] Add tree-sitter-based major modes to
 eglot-server-programs
References: <87y1sfls1x.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59229
Cc: 59229 <at> debbugs.gnu.org, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Stefan Kangas <stefankangas@HIDDEN>
> From: Brian Leung <leungbk@HIDDEN>
> Date: Sat, 12 Nov 2022 22:35:38 +0000
> 
> This adds several to-be-merged tree-sitter-based major modes to eglot.

Thanks, but please hold your horses on the C/C++/Java modes, as we
didn't yet finalize their integration into Emacs.  It is possible they
will not be major modes after all.

Not sure about JSON and CSS modes, but they might share the same fate.

Bottom line: this is too soon for such change, we should wait at least
until the tree-sitter branch lands on master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59229; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Nov 2022 22:35:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 12 17:35:51 2022
Received: from localhost ([127.0.0.1]:49520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1otz6N-0008VN-1Z
	for submit <at> debbugs.gnu.org; Sat, 12 Nov 2022 17:35:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:45470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leungbk@HIDDEN>) id 1otz6L-0008VE-6V
 for submit <at> debbugs.gnu.org; Sat, 12 Nov 2022 17:35:49 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leungbk@HIDDEN>)
 id 1otz6L-0006M7-0r
 for bug-gnu-emacs@HIDDEN; Sat, 12 Nov 2022 17:35:49 -0500
Received: from mout01.posteo.de ([185.67.36.65])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leungbk@HIDDEN>)
 id 1otz6I-0003wm-RQ
 for bug-gnu-emacs@HIDDEN; Sat, 12 Nov 2022 17:35:48 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 18B83240026
 for <bug-gnu-emacs@HIDDEN>; Sat, 12 Nov 2022 23:35:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668292542; bh=Xcd7IhV352l/Ygbw3c9R2siQZBU+D+2nDvCizyKf06A=;
 h=From:To:Cc:Subject:Date:From;
 b=hh4lXN7xR4Yd107xmqMzHjcBMWCf5vdDZ6dj0homL9/60WvNIMOdv/cIwbahjg5mk
 /dMKIgzD98vEAdopKhLWQ3EWbtL32zklqhYQWnEeknJeHn8VoljqwAHxzKoRAp/jgr
 srtOg4RNPqvEjd8VGtizDTbko4XWpKoLN9b3dlVqBtA+Rxxd27HGoaChgFHxRcgS9n
 Rp5MLGuFvFFfZ63rcGShjYU0q7tG8tbsIBUgCRDlgbqJkVn+Avdrs5Ub0IC+PdzuQb
 hWhGfctTI7euSPv96xtQEtEkbnXhUOoIYxY3XbcAgDktC93X6Qx/JonTq4E6Hpd3PS
 JTyVL6CDZyOFQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4N8r4r4kVpz6tnC;
 Sat, 12 Nov 2022 23:35:40 +0100 (CET)
From: Brian Leung <leungbk@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] Add tree-sitter-based major modes to eglot-server-programs
Date: Sat, 12 Nov 2022 22:35:38 +0000
Message-ID: <87y1sfls1x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=185.67.36.65; envelope-from=leungbk@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

This adds several to-be-merged tree-sitter-based major modes to eglot.



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
version 1.16.0, Xaw3d scroll bars)
Repository revision: be1745606354e8b34325bc9526c9bad9f7302cce
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: NixOS 22.11 (Raccoon)

Configured using:
 'configure
 --prefix=/nix/store/09jwzp79mqnhzarmaik6y4lybgkwpg1h-emacs-git-20221111.0
 --disable-build-details --with-modules --with-x-toolkit=lucid
 --with-xft --with-cairo --with-native-compilation'


--=-=-=
Content-Type: text/patch
Content-Disposition: attachment;
 filename=0001-Add-tree-sitter-based-major-modes-to-eglot-server-pr.patch

From 263288ae801e432ca941778c8fbf5103c380dbdb Mon Sep 17 00:00:00 2001
From: Brian Leung <leungbk@HIDDEN>
Date: Sat, 12 Nov 2022 14:30:37 -0800
Subject: [PATCH] Add tree-sitter-based major modes to eglot-server-programs

* lisp/progmodes/eglot.el (eglot-server-programs): Update.
---
 lisp/progmodes/eglot.el | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/lisp/progmodes/eglot.el b/lisp/progmodes/eglot.el
index 97c674f7aa..3620f64954 100644
--- a/lisp/progmodes/eglot.el
+++ b/lisp/progmodes/eglot.el
@@ -187,15 +187,16 @@ eglot-server-programs
                                 (python-mode
                                  . ,(eglot-alternatives
                                      '("pylsp" "pyls" ("pyright-langserver" "--stdio") "jedi-language-server")))
-                                ((js-json-mode json-mode) . ,(eglot-alternatives '(("vscode-json-language-server" "--stdio") ("json-languageserver" "--stdio"))))
+                                ((js-json-mode json-mode json-ts-mode) . ,(eglot-alternatives '(("vscode-json-language-server" "--stdio") ("json-languageserver" "--stdio"))))
                                 ((js-mode ts-mode typescript-mode)
                                  . ("typescript-language-server" "--stdio"))
                                 (sh-mode . ("bash-language-server" "start"))
                                 ((php-mode phps-mode)
                                  . ("php" "vendor/felixfbecker/\
 language-server/bin/php-language-server.php"))
-                                ((c++-mode c-mode) . ,(eglot-alternatives
-                                                       '("clangd" "ccls")))
+                                ((c++-mode c++-ts-mode c-mode c-ts-mode)
+                                 . ,(eglot-alternatives
+                                     '("clangd" "ccls")))
                                 (((caml-mode :language-id "ocaml")
                                   (tuareg-mode :language-id "ocaml") reason-mode)
                                  . ("ocamllsp"))
@@ -209,7 +210,7 @@ eglot-server-programs
                                 (go-mode . ("gopls"))
                                 ((R-mode ess-r-mode) . ("R" "--slave" "-e"
                                                         "languageserver::run()"))
-                                (java-mode . ("jdtls"))
+                                ((java-mode java-ts-mode) . ("jdtls"))
                                 (dart-mode . ("dart" "language-server"
                                               "--client-id" "emacs.eglot-dart"))
                                 (elixir-mode . ("language_server.sh"))
@@ -227,7 +228,7 @@ eglot-server-programs
                                 (lua-mode . ,(eglot-alternatives
                                               '("lua-language-server" "lua-lsp")))
                                 (zig-mode . ("zls"))
-                                (css-mode . ,(eglot-alternatives '(("vscode-css-language-server" "--stdio") ("css-languageserver" "--stdio"))))
+                                ((css-mode css-ts-mode) . ,(eglot-alternatives '(("vscode-css-language-server" "--stdio") ("css-languageserver" "--stdio"))))
                                 (html-mode . ,(eglot-alternatives '(("vscode-html-language-server" "--stdio") ("html-languageserver" "--stdio"))))
                                 (dockerfile-mode . ("docker-langserver" "--stdio"))
                                 ((clojure-mode clojurescript-mode clojurec-mode)
-- 
2.38.1


--=-=-=--




Acknowledgement sent to Brian Leung <leungbk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59229; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.